Package twisted :: Package protocols :: Module policies :: Class LimitConnectionsByPeerProtocol

[frames | no frames]

## Class LimitConnectionsByPeerProtocol

    BaseProtocol --+
                   |
            Protocol --+
                       |
         ProtocolWrapper --+
                           |
                          LimitConnectionsByPeerProtocol

Stability: Unstable

Method Summary
| `connectionLost(self)`
Inherited from ProtocolWrapper
| ``__init__`(self, factory, wrappedProtocol)`
| ``__getattr__`(self, name)`
| ``connectionMade`(self)` Called when a connection is made.
| ``dataReceived`(self, data)` Called whenever data is received.
| ``getHost`(self)`
| ``getPeer`(self)`
| ``loseConnection`(self)`
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.
| ``registerProducer`(self, producer, streaming)`
| ``stopConsuming`(self)`
| ``unregisterProducer`(self)`
| ``write`(self, data)`
| ``writeSequence`(self, data)`
Inherited from Protocol
| ``connectionFailed`(self)` (Deprecated)

Class Variable Summary
Inherited from ProtocolWrapper
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.ITr...`
`int` | `disconnecting` = 0
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None

Generated by Epydoc 2.0 on Wed Feb 25 07:36:39 2004 | http://epydoc.sf.net